Package ghidra.generic.util.datastruct

# Class RestrictedValueSortedMap.RestrictedValueListIterator

java.lang.Object
ghidra.generic.util.datastruct.RestrictedValueSortedMap.RestrictedValueListIterator

All Implemented Interfaces:
  `Iterator<V>`, `ListIterator<V>`

Enclosing class:
  `RestrictedValueSortedMap<K,V>`

public class RestrictedValueSortedMap.RestrictedValueListIterator extends Object implements ListIterator<V>
A list iterator suitable for `List.listIterator()`, etc., on the values of a `RestrictedValueSortedMap`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final RestrictedValueSortedMap<K,V>.RestrictedEntryListIterator`
  `wit`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RestrictedValueListIterator()`
  Construct an iterator
  `RestrictedValueListIterator(int start)`
  Construct an iterator starting at a given index of the sub list.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(V e)`
  `boolean`
  `hasNext()`
  `boolean`
  `hasPrevious()`
  `V`
  `next()`
  `int`
  `nextIndex()`
  `V`
  `previous()`
  `int`
  `previousIndex()`
  `void`
  `remove()`
  `void`
  `set(V e)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

- ## Field Details

  - ### wit

    protected final RestrictedValueSortedMap<K,V>.RestrictedEntryListIterator wit

- ## Constructor Details

  - ### RestrictedValueListIterator

    public RestrictedValueListIterator()
    Construct an iterator

  - ### RestrictedValueListIterator

    public RestrictedValueListIterator(int start)
    Construct an iterator starting at a given index of the sub list.
    Parameters:
      `start` - initial iterator position

- ## Method Details

  - ### hasNext

    public boolean hasNext()
    Specified by:
      `hasNext` in interface `Iterator<V>`
    Specified by:
      `hasNext` in interface `ListIterator<V>`

  - ### next

    public V next()
    Specified by:
      `next` in interface `Iterator<V>`
    Specified by:
      `next` in interface `ListIterator<V>`

  - ### hasPrevious

    public boolean hasPrevious()
    Specified by:
      `hasPrevious` in interface `ListIterator<V>`

  - ### previous

    public V previous()
    Specified by:
      `previous` in interface `ListIterator<V>`

  - ### nextIndex

    public int nextIndex()
    Specified by:
      `nextIndex` in interface `ListIterator<V>`

  - ### previousIndex

    public int previousIndex()
    Specified by:
      `previousIndex` in interface `ListIterator<V>`

  - ### remove

    public void remove()
    Specified by:
      `remove` in interface `Iterator<V>`
    Specified by:
      `remove` in interface `ListIterator<V>`

  - ### set

    public void set(V e)
    Specified by:
      `set` in interface `ListIterator<V>`

  - ### add

    public void add(V e)
    Specified by:
      `add` in interface `ListIterator<V>`